@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

* {
    scroll-margin-top: 100px;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;

    @media (min-width: 1400px) {
  //      font-size: 1.1vw;
    }
}
body {
    min-height: 100%;
    color: $primary;
    background-color: #f4f4f4;
    font-family: $font-family-primary;
    font-size: rem(16);
}

.container {
    margin: 0 auto;
    padding-left: rem(20);
    padding-right: rem(20);
    transition: .3s;

    @media (min-width: 1000px) and (max-height: 720px) {
        width: rem(838);
    }
}

// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    line-height: 1.2;
}

h1, .h1 {
    font-size: rem(36);
    margin-bottom: rem(32);
}

h2, .h2 {
    font-weight: 400;
    line-height: 1.2;
    font-size: rem(40);
    margin-bottom: rem(50);
    font-family: $font-family-primary;

    @media (min-width: 480px) {
        font-size: rem(45);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(55);
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(65);
    }
}

h3, .h3 {
    font-size: rem(24);
    margin-bottom: rem(20);
}

h4, .h4 {
    font-size: rem(20);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: $primary;
    text-decoration: underline;

    &:hover {
        color: $primary;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


